/*
 * Copyright (C) 2023 Xeme Developers
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <https://www.gnu.org/licenses/>.
 */

#ifndef XEME_CORE_H
#define XEME_CORE_H

#include <glib.h>

#include "xemeversion.h"

G_BEGIN_DECLS

/**
 * XEME_DOMAIN:
 *
 * A constant to represent an error from Xeme.
 *
 * Since: 0.1
 */
#define XEME_DOMAIN (g_quark_from_static_string("xeme")) XEME_AVAILABLE_MACRO_IN_0_1

G_END_DECLS

#endif /* XEME_CORE_H */
